[arch-commits] Commit in coreutils/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Sun Dec 15 06:47:10 UTC 2013


    Date: Sunday, December 15, 2013 @ 07:47:10
  Author: allan
Revision: 201563

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  coreutils/repos/testing-i686/
  coreutils/repos/testing-i686/PKGBUILD
    (from rev 201562, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-i686/coreutils.install
    (from rev 201562, coreutils/trunk/coreutils.install)
  coreutils/repos/testing-x86_64/
  coreutils/repos/testing-x86_64/PKGBUILD
    (from rev 201562, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-x86_64/coreutils.install
    (from rev 201562, coreutils/trunk/coreutils.install)

----------------------------------+
 testing-i686/PKGBUILD            |   34 ++++++++++++++++++++++++++++++++++
 testing-i686/coreutils.install   |   17 +++++++++++++++++
 testing-x86_64/PKGBUILD          |   34 ++++++++++++++++++++++++++++++++++
 testing-x86_64/coreutils.install |   17 +++++++++++++++++
 4 files changed, 102 insertions(+)

Copied: coreutils/repos/testing-i686/PKGBUILD (from rev 201562, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-12-15 06:47:10 UTC (rev 201563)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.22
+pkgrel=1
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('8fb0ae2267aa6e728958adc38f8163a2'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: coreutils/repos/testing-i686/coreutils.install (from rev 201562, coreutils/trunk/coreutils.install)
===================================================================
--- testing-i686/coreutils.install	                        (rev 0)
+++ testing-i686/coreutils.install	2013-12-15 06:47:10 UTC (rev 201563)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+

Copied: coreutils/repos/testing-x86_64/PKGBUILD (from rev 201562, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-12-15 06:47:10 UTC (rev 201563)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.22
+pkgrel=1
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('8fb0ae2267aa6e728958adc38f8163a2'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: coreutils/repos/testing-x86_64/coreutils.install (from rev 201562, coreutils/trunk/coreutils.install)
===================================================================
--- testing-x86_64/coreutils.install	                        (rev 0)
+++ testing-x86_64/coreutils.install	2013-12-15 06:47:10 UTC (rev 201563)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+




More information about the arch-commits mailing list